Get Dc Component List 1

Get Dc Component List 1

Get all configured datacenter components.

Request
URI
GET
https://{api_host}//api/v3/lcm/datacenter
COPY
Query Parameters
integer
pageSize
Optional

Number of datacenter components to be returned. Default: 20

integer
page
Optional

The page index. Default: 1

string of array
filterKey
Optional

If filterValue is also specified, list of DC keys to use for filtering

array
filterValue
Optional

If filterKey is also specified, list of DC values to use for filtering

boolean
asc
Optional

Sort the resulting list of datacenter components ascending. If not defined, will return chronological order, otherwise alphabetically ordered, either ascending or descending


Responses
200

List of datacenter components.

[
    {
        "componentName": "string",
        "version": "string",
        "datacenterComponentType": "string",
        "fqdn": "string",
        "username": "string",
        "password": "string",
        "content": {
            "certificate": {
                "validFrom": "string",
                "validTo": "string",
                "thumbprint": "string"
            }
        },
        "purpose": "string",
        "tags": [
            "string"
        ]
    }
]

401

Unauthorized access

[
    {
        "componentName": "string",
        "version": "string",
        "datacenterComponentType": "string",
        "fqdn": "string",
        "username": "string",
        "password": "string",
        "content": {
            "certificate": {
                "validFrom": "string",
                "validTo": "string",
                "thumbprint": "string"
            }
        },
        "purpose": "string",
        "tags": [
            "string"
        ]
    }
]